[ Nokia ]

-Project/Business Manager-
Adrian Ruzsicska

-Apac Multimedia Management 
VP CMO Sales-
Mauro Montanaro

-Director-
Jawahar Kanjilal

-Marketing-
Miguel Bernas, Shi Ho 
Clara Lee

-Communications- 
Dinesh Subramaniam, 
Annette Pau 

-Legal-
Kenneth Yuen 

[ Activate Interactive Pte Ltd ]

-Producer-
Leslie Wou

-Game Design-
Leslie Wou, Charles Lai

-Art-
Tan Wan Khee, Fanny Lim
Chia Pek Fann

-Programming-
Tan Hong Yap, Hai Bing, 
Qiu Juan, David Ho,
Gareth Zhou, Brian Tan,
Mark Chang

-System-
Chris Leung

-Level and Content Design-
Charles Lai, Flex Zhang,
Yong Yi Han

-Business and Marketing-
Dawn Teh